Bug 10996 - IPv6 support in CTDB is broken
IPv6 support in CTDB is broken
Status: RESOLVED FIXED
Product: CTDB 2.5.x or older
Classification: Unclassified
Component: ctdb
4.2.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 10077
  Show dependency treegraph
 
Reported: 2014-12-09 03:24 UTC by Amitay Isaacs
Modified: 2014-12-15 19:33 UTC (History)
2 users (show)

See Also:


Attachments
CTDB IPv6 patches backported from master (100.74 KB, patch)
2014-12-10 00:54 UTC, Martin Schwenke
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Amitay Isaacs 2014-12-09 03:24:22 UTC
CTDB uses ':' as a separator in machine readable output and this does not work with IPv6 addresses.  Also, IP handling in CTDB daemon code and event scripts require fixes to support IPv6 public addresses.
Comment 1 Martin Schwenke 2014-12-10 00:54:08 UTC
Created attachment 10514 [details]
CTDB IPv6 patches backported from master
Comment 2 Amitay Isaacs 2014-12-10 05:48:53 UTC
Hi Karolin, here's another CTDB defect for 4.2.0.
Comment 3 Karolin Seeger 2014-12-10 19:56:08 UTC
Pushed to autobuild-v4-2-test.
Comment 4 Karolin Seeger 2014-12-15 19:33:40 UTC
Pushed to v4-2-test.
Closing out bug report.

Thanks!